質問編集履歴

3

脱字

2022/09/29 06:49

投稿

minato007
minato007

score1

test CHANGED
File without changes
test CHANGED
@@ -28,10 +28,38 @@
28
28
  検証をこれから行いますが、ご助力いただければ幸いです。
29
29
 
30
30
  ```
31
+ ValueError: 272 is not in range
32
+
33
+ The above exception was the direct cause of the following exception:
34
+
31
35
  Traceback (most recent call last):
32
- File "●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●", line 385, in get_loc
36
+ File "●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●", line 70, in <module>
37
+ print(get_duplicate_list_order(map1(link_search_01, new_ret1)))
38
+ File ““●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●””, line 64, in map1
39
+ return [link_search_01(load_sheet1,new_ret1[0])] + map1(link_search_01,new_ret1[1:])
40
+ File ““●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●””, line 64, in map1
41
+ return [link_search_01(load_sheet1,new_ret1[0])] + map1(link_search_01,new_ret1[1:])
42
+ File ““●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●””, line 64, in map1
43
+ return [link_search_01(load_sheet1,new_ret1[0])] + map1(link_search_01,new_ret1[1:])
44
+ [Previous line repeated 6 more times]
45
+ File ““●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●\●●●●●●●●●””, line 40, in link_search_01
46
+ text = dfs[sname.index(ws)].loc[cell_no-1,cell_alpha]
47
+ File ““●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●\●●●●●●●●●””, line 925, in __getitem__
33
- return self._range.index(new_key)
48
+ return self._getitem_tuple(key)
49
+ File ““●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●\●●●●●●●●●””, line 1100, in _getitem_tuple
50
+ return self._getitem_lowerdim(tup)
51
+ File ““●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●\●●●●●●●●●””, line 838, in _getitem_lowerdim
52
+ section = self._getitem_axis(key, axis=i)
53
+ File ““●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●\●●●●●●●●●””, line 1164, in _getitem_axis
54
+ return self._get_label(key, axis=axis)
55
+ File ““●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●\●●●●●●●●●””, line 1113, in _get_label
56
+ return self.obj.xs(label, axis=axis)
57
+ File "●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●\●●●●●●●●●\●●●●●●", line 3776, in xs
58
+ loc = index.get_loc(key)
59
+ File " ●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●\●●●●●●●●●\●●●●●●\●●●●●●", line 387, in get_loc
34
- ValueError: 272 is not in range
60
+ raise KeyError(key) from err
61
+ KeyError: 272
62
+
35
63
  ```
36
64
 
37
65
  ### 該当のソースコード

2

誤字を修正したところ、エラーの内容が変わったため

2022/09/29 06:35

投稿

minato007
minato007

score1

test CHANGED
File without changes
test CHANGED
@@ -23,7 +23,16 @@
23
23
 
24
24
  最終的には、求めることができたセルに対しても同様にさらにその参照元を調べるために、再帰させようと思っています。以下のコードの後半はそのための準備になっています。そこに関してもアドバイスがあればいただきたいです。
25
25
 
26
+ ### 発生している問題・エラーメッセージ
27
+ 【ご報告】ご指摘をいただき、誤字の修正をした結果、下記エラーが出るようになりました。
28
+ 検証をこれから行いますが、ご助力いただければ幸いです。
26
29
 
30
+ ```
31
+ Traceback (most recent call last):
32
+ File "●●●●●\●●●●●●●●●●\●●●●●●\●●●●●●●●●●●●", line 385, in get_loc
33
+ return self._range.index(new_key)
34
+ ValueError: 272 is not in range
35
+ ```
27
36
 
28
37
  ### 該当のソースコード
29
38
 
@@ -114,12 +123,13 @@
114
123
  ['K43', 'I43', 'J43']
115
124
  [['AI43', 'AQ43'], ['N27', 'N27'], []]
116
125
  ```
126
+
117
127
  ### 試したこと
118
- 上記コードにコメントアウトしたように、元のセルの計算式から"$"を省き、それをもとに正規表現でセルを調べようとしたのですが、結果は"$"のついていないセルのみでした。
128
+ 上記コードにコメントアウトしたように、元のセルの計算式から"$"を省き、それをもとに正規表現でセルを調べようとしたのですが、コメントアウト部が思ったように稼働しませんでした。
129
+ コメントアウト部をなくすと、"$"なしのセルは正しく表示されます。
119
130
 
120
- つまりコメントアウト部思ったように稼働しせんでした。
131
+ ※誤字を修正した結果、エラーでるようになりました。
132
+ 検証はこれから行いますが、ご助力いただければ幸いです。
121
133
 
122
- ### 補足情報(FW/ツールのバージョンなど)
123
134
 
124
- Visual Studio Code 1.71.2
125
135
 

1

誤字の修正

2022/09/29 06:21

投稿

minato007
minato007

score1

test CHANGED
File without changes
test CHANGED
@@ -71,7 +71,7 @@
71
71
  #------------------------------------------------------------------------------------
72
72
  # 以下の1行を付け加えた
73
73
  #------------------------------------------------------------------------------------
74
- new_text = re.sub("\$ " , "", text)
74
+ new_text = re.sub("\$" , "", text)
75
75
 
76
76
  results_01 = []
77
77
  regex1 = re.compile(r'[A-Z]+\d+')